Skip to content
EN | DE

Set plan strategy

POST
/vehicles/{name}/plan/strategy
curl --request POST \
--url https://demo.evcc.io/api/vehicles/vehicle_1/plan/strategy \
--header 'Content-Type: application/json' \
--data '{ "continuous": true, "precondition": 1 }'

Updates the charging plan strategy for the vehicle.

More information

name
required

More information

string
>= 1 characters /[a-zA-Z0-9_.:-]+/
Example
vehicle_1

Vehicle name

Media typeapplication/json

Charging plan strategy.

object
continuous
required

Force continuous charging without gaps.

boolean
precondition
required

Duration of uninterrupted charging directly before the target time, in seconds.

number
Examplegenerated
{
"continuous": true,
"precondition": 1
}

Success

Media typeapplication/json

Charging plan strategy.

object
continuous
required

Force continuous charging without gaps.

boolean
precondition
required

Duration of uninterrupted charging directly before the target time, in seconds.

number
Examplegenerated
{
"continuous": true,
"precondition": 1
}